> ## Client identification
>
> Requests to this API should include a `Client-Platform` header alongside
> `Authorization`, identifying the application, tool, or model making the
> request. This is used for integration support and analytics.
>
> Use a specific model identifier if you know it; otherwise use the name
> of the agent or product issuing the request.
>
> Examples:
>
> | Client | Value |
> |---|---|
> | GPT-5.6 Sol | `Client-Platform: gpt-5.6-sol` |
> | GPT-5.6 Luna | `Client-Platform: gpt-5.6-luna` |
> | GPT-5.6 Pro | `Client-Platform: gpt-5.6-pro` |
> | Claude Opus 4.6 | `Client-Platform: claude-opus-4.6` |
> | Claude Sonnet 4.6 | `Client-Platform: claude-sonnet-4.6` |
> | Gemini 3.1 Pro | `Client-Platform: gemini-3.1-pro` |
> | ChatGPT | `Client-Platform: chatgpt` |
> | Claude Code | `Client-Platform: claude-code` |
> | Codex | `Client-Platform: codex` |
> | Other | `Client-Platform: <your-tool-or-model-name>` |
>
> Example:
>
> ```bash
> curl https://api.salaryboxapp.com/... \
>   -H "Authorization: Api-Key <api-key>" \
>   -H "Client-Platform: claude-code"
> ```

# Fetch Employee CTC

GET https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc

Returns each employee's payroll (CTC) configuration as of the first day of the given month. Requires an active Payroll Pro entitlement.

Reference: https://docs.salarybox.in/api-reference/payroll/fetch-employee-ctc-retrieve

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key   `) — Format: "Api-Key \{api-key}"

## Request

### Query parameters

- `salarybox_ids` (list of string, optional) — Repeatable. Filters to specific employees.
- `month` (string, optional) — Month (YYYY-MM). Defaults to the current month.
- `page` (integer, optional) — Page number to fetch. Defaults to 1.
- `page_size` (integer, optional) — Number of results per page (max 500). Defaults to 25.

## Response

### 200

- `data` (list of EmployeeCTC, required)
- `message` (string, required)
- `status` (boolean, required)
- `count` (integer, required)
- `prev` (string, required, nullable)
- `next` (string, required, nullable)

## Types

### EmployeeCTC

- `salarybox_id` (string, required)
- `employee_id` (string, required)
- `name` (string, required)
- `branches` (list of any, required)
- `departments` (list of any, required)
- `pay_cycle_type` (string, required)
- `ctc_amount` (string, required)
- `basic_amount` (string, required)
- `fixed_allowances_amount` (string, required)
- `employer_pf` (EmployerContribution, required)
- `employer_esi` (EmployerContribution, required)
- `from_date` (date, required)

### EmployerContribution

- `is_applicable` (boolean, required)
- `preference` (string, required, nullable)
- `percentage` (float, required, nullable)
- `amount` (string, required, nullable)

## Examples

**Response**

```json
{
  "data": [
    {
      "salarybox_id": "EMP001",
      "employee_id": "CMP-001",
      "name": "Jane Doe",
      "branches": [
        "HQ"
      ],
      "departments": [
        "Engineering"
      ],
      "pay_cycle_type": "monthly",
      "ctc_amount": "600000.00",
      "basic_amount": "300000.00",
      "fixed_allowances_amount": "150000.00",
      "employer_pf": {
        "is_applicable": true,
        "preference": "fixed",
        "percentage": 12,
        "amount": null
      },
      "employer_esi": {
        "is_applicable": false,
        "preference": null,
        "percentage": null,
        "amount": null
      },
      "from_date": "2026-01-01"
    }
  ],
  "message": "Success",
  "status": true,
  "count": 40,
  "prev": null,
  "next": "https://.../fetch-employee-ctc?page=2"
}
```

**SDK Code**

```python Example
import requests

url = "https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc"

headers = {"Authorization": "Api-Key  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc';
const options = {method: 'GET', headers: {Authorization: 'Api-Key  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Api-Key  <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Api-Key  <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc")
  .header("Authorization", "Api-Key  <apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc', [
  'headers' => [
    'Authorization' => 'Api-Key  <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Api-Key  <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = ["Authorization": "Api-Key  <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.salaryboxapp.com/v2/customer/v1/payroll/fetch-employee-ctc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```